org.appng.core.service

## Enum MigrationService.MigrationStatus

- java.lang.Object
- - java.lang.Enum<MigrationService.MigrationStatus>
  - - org.appng.core.service.MigrationService.MigrationStatus

- All Implemented Interfaces:
    Serializable, Comparable<MigrationService.MigrationStatus>
  Enclosing class:
    MigrationService

      public static enum MigrationService.MigrationStatus
      extends Enum<MigrationService.MigrationStatus>

  Enum type defining the different states of a database migration.
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DB_MIGRATED` database migrated
    `DB_NOT_AVAILABLE` database not available
    `DB_NOT_MIGRATED` database not migrated
    `DB_SUPPORTED` database supported
    `ERROR` error
    `NO_DB_SUPPORTED` no database supported

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isErroneous()` Checks whether this `MigrationService.MigrationStatus` is in an erroneous state.
    `static MigrationService.MigrationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MigrationService.MigrationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_DB_SUPPORTED

          public static final MigrationService.MigrationStatus NO_DB_SUPPORTED

      no database supported

    - #### DB_SUPPORTED

          public static final MigrationService.MigrationStatus DB_SUPPORTED

      database supported

    - #### DB_NOT_AVAILABLE

          public static final MigrationService.MigrationStatus DB_NOT_AVAILABLE

      database not available

    - #### DB_MIGRATED

          public static final MigrationService.MigrationStatus DB_MIGRATED

      database migrated

    - #### DB_NOT_MIGRATED

          public static final MigrationService.MigrationStatus DB_NOT_MIGRATED

      database not migrated

    - #### ERROR

          public static final MigrationService.MigrationStatus ERROR

      error

  - ### Method Detail

    - #### values

          public static MigrationService.MigrationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MigrationService.MigrationStatus c : MigrationService.MigrationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MigrationService.MigrationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isErroneous

          public boolean isErroneous()

      Checks whether this `MigrationService.MigrationStatus` is in an erroneous state.
      Returns:
        `true` if this `MigrationService.MigrationStatus` is one of `ERROR` or `DB_NOT_AVAILABLE`, `false` otherwise

Copyright © 2011–2023 aiticon GmbH. All rights reserved.